javax.naming

## Class InsufficientResourcesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.InsufficientResourcesException

All Implemented Interfaces:
  Serializable

    public class InsufficientResourcesException
    extends NamingException

This exception is thrown when resources are not available to complete the requested operation. This might due to a lack of resources on the server or on the client. There are no restrictions to resource types, as different services might make use of different resources. Such restrictions might be due to physical limits and/or adminstrative quotas. Examples of limited resources are internal buffers, memory, network bandwidth.

InsufficientResourcesException is different from LimitExceededException in that the latter is due to user/system specified limits. See LimitExceededException for details.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
Constructor and Description
`InsufficientResourcesException()` Constructs a new instance of InsufficientResourcesException with all name resolution fields and explanation initialized to null.
`InsufficientResourcesException(String explanation)` Constructs a new instance of InsufficientResourcesException using an explanation.

### Method Summary

### Methods inherited from class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InsufficientResourcesException

    public InsufficientResourcesException(String explanation)

Constructs a new instance of InsufficientResourcesException using an explanation. All other fields default to null.

Parameters:
  `explanation` - Possibly null additional detail about this exception.
See Also:
  `Throwable.getMessage()`

#### InsufficientResourcesException

    public InsufficientResourcesException()

Constructs a new instance of InsufficientResourcesException with all name resolution fields and explanation initialized to null.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.